from itertools import permutations

def cube(numbers):
    for perm in permutations(numbers):
        if perm[0] + perm[1] == perm[2] +perm[3] == perm[4] +perm[5]:
            return "yes"
    return "no"

def main():
    n = int(input())
    res = []
    for _ in range(n):
        numbers = list(map(int, input().split()))
        res.append(cube(numbers))
    print("\n".join(res))

if __name__ == "__main__":
    main()

